We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8167 - Investigate deleting/archiving of submission items
Investigate deleting/archiving of submission items
Status: RESOLVED FIXED
Product: OMP
Classification: Unclassified
Component: Submissions and Publishing
1.0
All All
: P3 normal
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-15 13:48 PDT by James MacGregor
Modified: 2013-04-02 15:24 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2013-03-15 13:48:43 PDT
There seem to be some oddities involved in declining/deleting submission items. James to investigate. Most of this will probably be 1.1-level fixes, but I'll investigate in the next day or two for 1.0 just the same. 

-- declining submissions doesn't automatically delete tasks from submissions/tasks lists, so eg. reviewers who were assigned to the submission aren't automatically unassigned (or even notified). 

-- deleting individual tasks from submission/task list; doesn't always appear to work.
Comment 1 Jason Nugent 2013-03-15 14:22:26 PDT
James, does any of the work done for bug #8125 apply here?
Comment 2 Jason Nugent 2013-03-15 14:23:29 PDT
Oh, wait.  you mention that it doesn't always seem to work.
Comment 3 James MacGregor 2013-03-15 17:12:05 PDT
(In reply to comment #2)
> Oh, wait.  you mention that it doesn't always seem to work.

Ah thanks, Jason, I hadn't seen that thread. Yeah, there are a few instances where deletion still doesn't seem to work, or seems to kick things into an inconsistent state. I hope to have much better details soon.
Comment 4 Alec Smecher 2013-03-18 11:36:38 PDT
James, I've just caught/fixed one case of deletes leaving bad data around. A fresh pull (both repos) should fix deletes going forward, but you'll also have to kill any left-over data in your DB:

DELETE FROM n USING notifications n LEFT JOIN review_assignments r ON (r.review_id = n.assoc_id) WHERE n.type = 16777227 AND r.review_id IS NULL;

Can I put you on the hook for smoke-testing deletes of submissions that have review assignments?
Comment 6 Alec Smecher 2013-03-18 15:00:05 PDT
Add missing notification delete code
https://github.com/pkp/omp/commit/8c9d78eedd40f0bd5f296ac4f026df71f1825447
Comment 8 Alec Smecher 2013-03-18 15:40:02 PDT
Add missing notification delete code
https://github.com/pkp/omp/commit/69a5f1cfa268e68303c30720bb525adb69aa82f8
Comment 9 James MacGregor 2013-04-02 15:24:56 PDT
Sorry, should've closed this earlier.